// =====================================================================
//  $Id: St00EventAction.hh,v 1.3 2003/10/06 16:28:17 goiwai Exp $
//  $Name: CLDAQ-1-11-00 $
//  $Log: St00EventAction.hh,v $
//  Revision 1.3  2003/10/06 16:28:17  goiwai
//  *** empty log message ***
//
//  Revision 1.2  2003/07/30 16:15:51  goiwai
//  ファイルにコミットログをつけることにしました.
//
// =====================================================================
#ifndef __ST0001EVENTACTION_HH
#define __ST0001EVENTACTION_HH

#include "TEventAction.hh"

class TDataRecord;

class St00EventAction
  : public TEventAction
{

  public:
    St00EventAction();
    ~St00EventAction();

  public:
    TReadoutList* WaitEvent();
    Tvoid BeginOfEventAction( TEvent& anEvent );
    Tvoid EndOfEventAction( TEvent& anEvent );

  private:
    Tvoid fillEventInformation( const TDataRecord& record );

};

#endif
